// 导入配置
import cfg from './config.json';
import helper from './src/resource-helper';
import workOrder from './src/work.vue';
const HOST1 = 'http://26.196.209.180:18900'
class Component {
    /**
     *Creates an instance of Component.
     * @param {String} id 组件id
     * @param {HTMLElement} container 组件容器
     * @memberof Component
     */
    constructor(id, container) {
        this.config = {
            theme: {}
        };
        this.themeStyle = {};
        this.id = id;
        this.container = container;
        this._data = null;
        container.style.height = '100%';
        this.init();
    }

    static processData(data, type) {
        if (type === 'static') {
            return data;
        }
        if (type === 'default') {
            return data;
        }
        if(type==='api'){

            return data.map(item => {
                return {
                    columns: item.columns,
                    data: item.data
                };
            });
        }
        if (type === 'default') {
            return data;
        }

        return data;
    }

    async init() {
        // 加载样式
       // helper.loadCss('my-style2', "http://kbsh.ventuz.com.cn/static/di/style.css");
       /*helper.loadCss('my-style2', `${HOST1}/api/nodeservice/widgets/kingfisher/di/style.css`);*/
    }

    setTheme(theme) {
        this.config.theme = theme;
    }

    async render(data, option, api) {
        const { container } = this;
        const Vue = await helper.loadJs('vue');

        const ECharts = await helper.getVueEcharts();

        data = data === undefined ? this._data : data;
        if (!data || !data.length) {
            return;
        }
        data=data[0];
        console.log( "data.item"); console.log( data);

       /* var xAxis=[];
        for(var i=0;i<data.data.length;i++){
            xAxis[i]=data.data[i][0];
        }*/

        var xAxis=[];
        var series=[];
        var overTotal=0;
        var finishTotal=0;
        for(var i=0;i<data.data.length;i++){
            xAxis[i]=data.data[i][0];
        }
        var seriesItem0=[];
        var seriesItem1=[];
        for(var j=0;j<data.data.length;j++){
            seriesItem0[j]=data.data[j][1];
            overTotal=overTotal+data.data[j][1];
            seriesItem1[j]=data.data[j][2];
            finishTotal=finishTotal+data.data[j][2];
        }
        series[0]=seriesItem0;
        series[1]=seriesItem1;
        data.legend=["待办理","预警工单"];
        data.xAxis=xAxis;
        data.series=series;
        data.item=[["待办理",overTotal],["预警工单",finishTotal]];
        console.log( "data.item"); console.log( data);

        Vue.component('kb-chart', ECharts);
        new Vue({
            el: container,
            components: {
                workOrder
            },
            data() {
                return {
                    data
                };
            },
            template: '<workOrder :data="data"  />'
        });



    }

    resize() {

    }
}

cfg.factory = Component;

export const widget = cfg;